# libtraceevent(3) Manual Page

## NAME

tep_find_common_field, tep_find_field, tep_find_any_field - Search for a field in an event.

## SYNOPSIS

    #include <event-parse.h>

    struct tep_format_field *tep_find_common_field(struct tep_event *event, const char *name);
    struct tep_format_field *tep_find_field(struct tep_event_ormat *event, const char *name);
    struct tep_format_field *tep_find_any_field(struct tep_event *event, const char *name);

## DESCRIPTION

These functions search for a field with given name in an event. The field returned can be used to find the field content from within a data record.

The tep_find_common_field() function searches for a common field with name in the event.

The tep_find_field() function searches for an event specific field with name in the event.

The tep_find_any_field() function searches for any field with name in the event.

## RETURN VALUE

The tep_find_common_field(), tep_find_field() and _tep_find_any_field() functions return a pointer to the found field, or NULL in case there is no field with the requested name.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/